From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pystache/
Date: Sat, 20 Aug 2022 18:15:44 +0000 (UTC) [thread overview]
Message-ID: <1661019339.45cd2d4dd619a294afdd23d59a02ba36b29edc2f.mgorny@gentoo> (raw)
commit: 45cd2d4dd619a294afdd23d59a02ba36b29edc2f
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 20 18:08:51 2022 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Aug 20 18:15:39 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=45cd2d4d
dev-python/pystache: Bump to 0.6.1, modernize
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pystache/Manifest | 1 +
dev-python/pystache/pystache-0.6.1.ebuild | 42 +++++++++++++++++++++++++++++++
2 files changed, 43 insertions(+)
diff --git a/dev-python/pystache/Manifest b/dev-python/pystache/Manifest
index f75fabc9293b..dafd3e65121b 100644
--- a/dev-python/pystache/Manifest
+++ b/dev-python/pystache/Manifest
@@ -1 +1,2 @@
DIST pystache-0.6.0.tar.gz 78240 BLAKE2B b3ba14090f7969b7d3bd77f6e23bda8007fbf6f750e008585676f48bb1a4bfc520484b2205225477f2d2d625b0d6c1500d875685fa50f87c11b19589b0d45622 SHA512 802e12795c3ae08fbde37c9e266a60478d46d55a42e2fc339389b664edf3c5ebb2e34069546b820789ad48ed9921f4a2b89f82bb37e72e94846eec0a9ba1568c
+DIST pystache-0.6.1.gh.tar.gz 279050 BLAKE2B 2c61ba260764aa4bf62039bfe1f844d34e26adc29af2f1e1d98619892bfabd3151aa1d34c69596389a68f0d84ce994ddf7114c091d42b497a17b300a5aff36cc SHA512 516d286f84d2c77650550365f6b219acb712376f0b7302fff2aba7dee4d64e3d3fc2d781782777dd37093f6debf52f9d2a40b6ed8b65aa5f7025ff762cb5efae
diff --git a/dev-python/pystache/pystache-0.6.1.ebuild b/dev-python/pystache/pystache-0.6.1.ebuild
new file mode 100644
index 000000000000..5c9556870963
--- /dev/null
+++ b/dev-python/pystache/pystache-0.6.1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Updated Python implementation of Mustache templating framework"
+HOMEPAGE="
+ https://github.com/PennyDreadfulMTG/pystache/
+ https://pypi.org/project/pystache/
+"
+
+if [[ ${PV} = 9999* ]]; then
+ EGIT_REPO_URI="https://github.com/PennyDreadfulMTG/pystache.git"
+ EGIT_BRANCH="master"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/PennyDreadfulMTG/pystache/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ test? (
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ )
+"
+
+python_test() {
+ pystache-test || die "Test failed with ${EPYTHON}"
+}
next reply other threads:[~2022-08-20 18:15 UTC|newest]
Thread overview: 21+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-08-20 18:15 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-25 7:45 [gentoo-commits] repo/gentoo:master commit in: dev-python/pystache/ Michał Górny
2024-12-25 7:45 Michał Górny
2024-12-13 6:15 Michał Górny
2024-06-22 13:52 Petr Vaněk
2023-12-30 18:32 Michał Górny
2023-09-08 18:20 Steve Arnold
2023-08-27 15:59 Michał Górny
2023-05-28 18:07 Arthur Zamarin
2022-09-26 16:55 Steve Arnold
2022-09-26 14:45 Sam James
2022-09-25 19:36 Steve Arnold
2022-08-20 18:15 Michał Górny
2022-08-20 18:15 Michał Górny
2022-05-01 16:43 Steve Arnold
2022-04-25 15:48 Sam James
2022-04-16 17:25 Steve Arnold
2020-01-18 18:48 Michał Górny
2017-05-02 13:11 Michał Górny
2017-04-22 13:52 Michał Górny
2015-12-09 15:10 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1661019339.45cd2d4dd619a294afdd23d59a02ba36b29edc2f.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox